using System;
using System.Collections.Generic;
using System.Text;

namespace TFSWrappers
{
    public static class Constants
    {
        public const string AllBuildTypes = "All Build Types";
        public const string NamespaceUri = @"http://schemas.microsoft.com/developer/msbuild/2003";
        public const string NamespacePrefix = "ns";
        public const string ProjectXPath = "/ns:Project";
        public const string ProjectExtensionsXPath = ProjectXPath + "/" + NamespacePrefix + ":ProjectExtensions";
        public const string PropertyGroupXPath = ProjectXPath + "/" + NamespacePrefix + ":PropertyGroup";
        public const string ItemGroupNodeName = "ItemGroup";
        public const string ItemGroupXPath = ProjectXPath + "/" + NamespacePrefix + ":" + ItemGroupNodeName;
        public const string BuildMachineXPath = ProjectExtensionsXPath + "/" + NamespacePrefix + ":BuildMachine";
        public const string DescriptionXPath = ProjectExtensionsXPath + "/" + NamespacePrefix + ":Description";
        public const string BuildDirectoryPathXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":BuildDirectoryPath";
        public const string DropLocationXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":DropLocation";
        public const string RunTestXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":RunTest";
        public const string RunCodeAnalysisXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":RunCodeAnalysis";
        public const string UpdateAssociatedWorkItemsXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":UpdateAssociatedWorkItems";
        public const string WorkItemTitleXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":WorkItemTitle";
        public const string DescriptionTextXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":DescriptionText";
        public const string BuildlogTextXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":BuildlogText";
        public const string ErrorWarningLogTextXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":ErrorWarningLogText";
        public const string WorkItemFieldValuesNodeName = "WorkItemFieldValues";
        public const string WorkItemFieldValuesXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":" + WorkItemFieldValuesNodeName;
        public const string SolutionToBuildNodeName = "SolutionToBuild";
        public const string SolutionToBuildXPath = ItemGroupXPath + "/" + NamespacePrefix + ":" + SolutionToBuildNodeName;
        public const string ConfigurationToBuildNodeName = "ConfigurationToBuild";
        public const string ConfigurationToBuildXPath = ItemGroupXPath + "/" + NamespacePrefix + ":ConfigurationToBuild";
        public const string MetaDataFileNodeName = "MetaDataFile";
        public const string MetaDataFileXPath = ItemGroupXPath + "/" + NamespacePrefix + ":" + MetaDataFileNodeName;
        public const string TestListNodeName = "TestList";
        public const string TestListXPath = MetaDataFileXPath + "/" + NamespacePrefix + ":" + TestListNodeName;
        public const string IncludeAttributeName = "Include";
        public const string FlavorNodeName = "FlavorToBuild";
        public const string PlatformNodeName = "PlatformToBuild";
        public const string SkipCleanNodeName = "SkipClean";
        public const string SkipCleanXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":" + SkipCleanNodeName;
        public const string SkipGetNodeName = "SkipGet";
        public const string SkipGetXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":" + SkipGetNodeName;
        public const string SkipInitializeWorkspaceNodeName = "SkipInitializeWorkspace";
        public const string SkipInitializeWorkspaceXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":" + SkipInitializeWorkspaceNodeName;
        public const string SkipLabelNodeName = "SkipLabel";
        public const string SkipLabelXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":" + SkipLabelNodeName;
        public const string SkipPostBuildNodeName = "SkipPostBuild";
        public const string SkipPostBuildXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":" + SkipPostBuildNodeName;
        public const string SkipDropBuildNodeName = "SkipDropBuild";
        public const string SkipDropBuildXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":" + SkipDropBuildNodeName;
        public const string SkipWorkItemCreationNodeName = "SkipWorkItemCreation";
        public const string SkipWorkItemCreationXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":" + SkipWorkItemCreationNodeName;
        public const string LabelQueryScopeNodeName = "LabelQueryScope";
        public const string LabelQueryScopeXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":" + LabelQueryScopeNodeName;
        public const string ForceGetNodeName = "ForceGet";
        public const string ForceGetXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":" + ForceGetNodeName;
        public const string RecursiveGetNodeName = "RecursiveGetBuild";
        public const string RecursiveGetXPath = PropertyGroupXPath + "/" + NamespacePrefix + ":" + RecursiveGetNodeName;
    }
}
