using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.TeamFoundation.Build.Proxy;

namespace TFSWrappers
{
    public class TFSBuildReport
    {
        public TFSBuildReport(BuildStore buildStore, string buildUri)
        {
            this.buildStore = buildStore;
            this.buildUri = buildUri;
            GetBuildDetails();
        }

        private BuildStore buildStore;
        private string buildUri;

        private void GetBuildDetails()
        {
            BuildData buildData = buildStore.GetBuildDetails(buildUri);
            buildNumber = buildData.BuildNumber;
            requestedBy = buildData.RequestedBy;
            teamProject = buildData.TeamProject;
            buildType = buildData.BuildType;
            buildMachine = buildData.BuildMachine;
            startedOn = buildData.StartTime;
            completedOn = buildData.FinishTime;
            lastChangedBy = buildData.LastChangedBy;
            lastChangedOn = buildData.LastChangedOn;
            quality = buildData.BuildQuality;
            logFile = buildData.LogLocation;
            buildSteps = buildStore.GetBuildSteps(buildUri);
            changesets = buildStore.GetChangeSetsForBuild(buildUri);
            workItems = buildStore.GetWorkItemsForBuild(buildUri);
            finishedSuccessfully = buildData.BuildStatus == Microsoft.TeamFoundation.Build.Common.BuildConstants.BuildStatus.BuildSucceeded;
            platformFlavors = buildStore.GetPlatformFlavorsForBuild(buildUri);
            //PlatformFlavorData[] platformFlavorDataItems = buildStore.GetPlatformFlavorsForBuild(buildUri);
            //buildStore.GetCompilationSummaryForBuild(buildUri);
        }

        private string buildNumber;

        public string BuildNumber
        {
            get { return buildNumber; }
        }

        private string requestedBy;

        public string RequestedBy
        {
            get { return requestedBy; }
        }

        private string teamProject;

        public string TeamProject
        {
            get { return teamProject; }
        }

        private string buildType;

        public string BuildType
        {
            get { return buildType; }
        }

        private string buildMachine;

        public string BuildMachine
        {
            get { return buildMachine; }
        }

        private DateTime startedOn;

        public DateTime StartedOn
        {
            get { return startedOn; }
        }

        private DateTime completedOn;

        public DateTime CompletedOn
        {
            get { return completedOn; }
        }

        private string lastChangedBy;

        public string LastChangedBy
        {
            get { return lastChangedBy; }
        }

        private DateTime lastChangedOn;

        public DateTime LastChangedOn
        {
            get { return lastChangedOn; }
        }

        private string quality;

        public string Quality
        {
            get { return quality; }
        }

        private string logFile;

        public string LogFile
        {
            get { return logFile; }
        }

        private BuildStepData[] buildSteps;

        public BuildStepData[] BuildSteps
        {
            get { return buildSteps; }
        }

        private ChangeSetData[] changesets;

        public ChangeSetData[] Changesets
        {
            get { return changesets; }
        }

        private WorkItemData[] workItems;

        public WorkItemData[] WorkItems
        {
            get { return workItems; }
        }

        private bool finishedSuccessfully;

        public bool FinishedSuccessfully
        {
            get { return finishedSuccessfully; }
        }

        private PlatformFlavorData[] platformFlavors;

        public PlatformFlavorData[] PlatformFlavors
        {
            get { return platformFlavors; }
        }
    }
}
